/*
    WMpop
    Copyright  1999-2002 Jrme SAUTRET (jerome@Sautret.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file COPYING.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef _CONFIG_FILE_H
#define _CONFIG_FILE_H

#include <stdlib.h>
#include <string.h>
#include "wmpop.h"

#define SWITCH_CONFIG_FILE_SHORT "-c"
#define CONFIG_FILE  ".wmpoprc"

/* config file */
#define COMMENT         '#'
#define KEY_PROTO       "proto"
#define VALUE_PROTO_POP3 "pop3"
#define VALUE_PROTO_MBOX "mbox"
#define KEY_APOP        "apop"
#define KEY_SERVER      "mailserver"
#define KEY_NAME        "name"
#define KEY_PASSWD      "password"
#define KEY_PIX1        "pixmap1"
#define KEY_PIX2        "pixmap2"
#define KEY_CHECK_POP3  "pop3_check"
#define KEY_CHECK_MBOX  "mbox_check"
#define KEY_CUSTOM      "custom_pix"
#define KEY_SOUND       "sound"
#define KEY_SOUNDFILE   "soundfile"
#define KEY_COMMAND     "command"
#define KEY_UNREAD_MAIL "unread_mail_only"

#define DEFAULT_SOUND_FILE "newmail.au"
#define DEFAULT_CHECK 10

struct config
{
  int proto;        /* PROTO_POP3 or PROTO_MBOX */
  int  default_pix; /* boolean: use default pixmap ? */
  char *pixmap[2];  /* pixmap files name */
  int  sound;       /* boolean: use sound ? */
  char *sound_file; /* name of the sound file to play */
  int unread_mail;  /* new mail means unread new mail */
  int display_emails;
  long check;       /* checking mail interval in secondes 
		       (based one of the 2 below) */
  long mbox_check;  /* checking mail interval in secondes for local mail*/
  long pop3_check;  /* checking mail interval in seconds for pop3 */
  char *command;    /* external command to run when middle button is pressed */
};

void init_default_config(struct config*, struct pop3_account*);
int read_config_file(char*, struct config*, struct pop3_account*);
void config_file_name(char*, int argc, char *argv[]);


#endif
