/*
    WMpop
    Copyright  1999-2002 Jrme SAUTRET (jerome@Sautret.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file COPYING.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "wmpop.h"
#include "mbox.h"

#ifdef DMALLOC
#include "dmalloc.h"
#endif

char *get_email (char *s)
{
  char buffer[BUF_SIZE];
  char *p, *ret;
  
  s += 5; /* pass the From */
  p=buffer;

  while (*s != 0 && *s != ' ')
  {
   *p++ = *s++;
  }
  *p = '\0';
  ret=(char*) malloc(strlen(buffer)+1);
  strcpy(ret, buffer);

  return ret;
}


int mbox_check (struct emails_t *mails)
{
  char buffer[BUF_SIZE];
  int nb_mails=0;
  static char *mailbox=NULL;
  FILE *file;

  DEBUG(printf("start check_mbox\n"));

  if (!mailbox)
  {
    mailbox = getenv(MAIL_ENV);
    if (!mailbox || !(*mailbox))
    {
      fprintf(stderr, _("Environment variable $%s not set. "
			"Can't locate mailbox.\n"), MAIL_ENV);
      exit(5);
    }
  }

  file = fopen(mailbox, "r");
  if (!file)
  {
    perror("mbox_check");
    fprintf(stderr, _("WMpop Error: Cannot read mailbox %s.\n"), mailbox);
    exit(5);
  }

  fflush(stdout);
  while(fgets(buffer, BUF_SIZE, file))
  {
      if (!strncmp(buffer, "From ", 5))
      {
	  
	  if (nb_mails < MAX_EMAILS)
	  {
	      if(mails->froms[nb_mails])
	      {
		  free(mails->froms[nb_mails]);
	      }
	      mails->froms[nb_mails] = get_email(buffer);
	  }
	  nb_mails++;
      }
  }
  fclose(file);
  mails->froms[nb_mails]=NULL;
  mails->total=nb_mails;
  mails->unread=nb_mails;
  return 0;
}

/*
int main()
{
  char *emails[MAX_EMAILS];
  int n;

  while(1)
    {
      printf("mails: %d\n", mbox_check(emails));
      for(n=0 ; emails[n]; n++)
      {
	printf("line: %s\n", emails[n]);
	free(emails[n]);
      }
      sleep(1);
    }

  return 0;
}
*/
