/*
    WMpop
    Copyright  1999-2002 Jrme SAUTRET (jerome@Sautret.org)

    $Id: wmpop.h,v 1.13 2002/05/23 14:11:41 jerome Exp $

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file COPYING.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef _WMPOP_H
#define _WMPOP_H


#define DEBUG_ON
/*
#define DMALLOC
*/

#define HAVE_MAIL    1
#define HAVE_NO_MAIL 2
#define NO_CHANGE    0
#define PROTO_POP3   1
#define PROTO_MBOX   2
#define WIN_SIZE    64
#define PIX_SIZE    48
#define BORDER_SIZE ((WIN_SIZE-PIX_SIZE)/2)
#define BORDERWIDTH 1
#define BUF_SIZE    1024
#define REFRESH_DELAY 200000 /* in micro seconds */
#define DOUBLE_CLICK_INTERVAL 500 /* in milli seconds */
#define CONF_WMPOP  "conf_wmpop" /* name of the configuration GUI program */
#define CONF_PARM   "configure me, please." /* string to pass as a parameter
					    to conf_wmpop */

/* flags for run_config */
#define CONF_NORMAL 0
#define CONF_NOFILE 1
#define CONF_PASS   2  
#define CONF_SERVER 3 
#define CONF_NOFILE_PARAM "nofile"
#define CONF_PASS_PARAM   "pass"
#define CONF_SERVER_PARAM "server"
 
#define CONF_CHECK   0
#define CONF_QUIT   44
#define CONF_CLOSE  45

#define MAYA        21

#define MAX_EMAILS  50
struct emails_t
{
  int total, unread;
  char *message; /* message returned if an error occurs */
  char *froms[MAX_EMAILS];
};

#ifdef DEBUG_ON
#define DEBUG(XXX) { XXX; }
#else
#define DEBUG(XXX) /**/
#endif

#define VERBOSE(XXX) { if (verbose) { XXX; }}

/* for gettext (I18N) */
#define LOCALEDIR "/usr/local/share/locale"
#ifdef ENABLE_NLS
#  include <libintl.h>
#  undef _
#  define _(String) dgettext (PACKAGE, String)
#  ifdef gettext_noop
#    define N_(String) gettext_noop (String)
#  else
#    define N_(String) (String)
#  endif
#else
#  define textdomain(String) (String)
#  define gettext(String) (String)
#  define dgettext(Domain,Message) (Message)
#  define dcgettext(Domain,Message,Type) (Message)
#  define bindtextdomain(Domain,Directory) (Domain)
#  define _(String) (String)
#  define N_(String) (String)
#endif

#endif
